=== docs/requirements.txt ===
sphinx==3.0.3
sphinx_rtd_theme==0.4.3
regex
