## python-pymzml 0.7.6-dfsg

=== debian/changelog ===
python-pymzml (0.7.6-dfsg-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Use python3-sphinx instead of python-sphinx. (Closes: #938078)

 -- Adrian Bunk <bunk@debian.org>  Sun, 02 Feb 2020 00:05:47 +0200

python-pymzml (0.7.6-dfsg-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #938078
  * add latexmk to b-d-i, fix a FTBFS; Closes: #872242
  * replace b-d-i on texlive-generic-extra with texlive-plain-generic;
    Closes: #933582
  * debian/patches/sphinx-pngmath.patch
    - replace sphinx extension pngmath with imgmath

 -- Sandro Tosi <morph@debian.org>  Mon, 07 Oct 2019 21:27:22 -0400

python-pymzml (0.7.6-dfsg-5) unstable; urgency=low

  * debian/control: update the dependencies latex-xcolor replaced with
    texlive-latex-recommended (bug number-865237 was closed by non-maintainer
    upload by Adrian Bunk <bunk@debian.org> Tue, 18 Jul 2017 19:50:54 +0300.

  * debian/compat: 9 (update dep to debhelper (>=9.20130630)).

  * Standards-Version: 4.0.1 (no changes required).

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 15 Sep 2017 14:05:47 +0200

python-pymzml (0.7.6-dfsg-4) unstable; urgency=low

  * debian/control: update the name of the git repository to match the new
    name of the package.
  * debian/control: set secure https protocol also for the vcs-git url.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 01 Sep 2016 10:43:36 +0200

python-pymzml (0.7.6-dfsg-3) unstable; urgency=low

  * Fix problem with debian/control Replaces/Conflicts directives. Now
    python-mzml should be properly removed from the system upon installation
    of this replacing package.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 29 Aug 2016 14:12:31 +0200

python-pymzml (0.7.6-dfsg-2) unstable; urgency=low

  * Fix bug reported by Lucas Nussbaum <lucas@debian.org> about iftex.sty not
    being found (add a texlive dependency to d/control). Closes: #830331.
  * Minor fixes to the debian packaging.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 19 Jul 2016 16:23:38 +0200

python-pymzml (0.7.6-dfsg-1) unstable; urgency=medium

  * New upstream version that introduces setup.py as a means of building
    and installing the software.
  * d/rules: change build system to include Python3.
  * New patch to remove the shebang line from all the class-defining
    Python files where it is not needed.
  * d/control: rename package names from python-mzml to python-pymzml to
    better stick to the general convention in the Debian archive.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 26 Nov 2015 10:19:46 +0100

python-mzml (0.7.4-dfsg-3) unstable; urgency=medium

  * mv upstream upstream/metadata;
  
  * d/control: Canonicalize the VCS uris;
  
  * d/control: set Standards-Version: 3.9.5
  
 -- Filippo Rusconi <lopippo@debian.org>  Wed, 20 Aug 2014 14:18:01 +0200

python-mzml (0.7.4-dfsg-2) unstable; urgency=low

  * python-mzml.install: change the usr/lib/python2.[67]/dist-packages
    install directories to the degenerate form
    usr/lib/python2.*/dist-packages/pymzml. The package will still build
    and install fine when 2.6 is removed. Thanks to Dmitry Shachnev
    <mitya57@gmail.com> for suggesting the fix. Closes: #697189.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 02 Jan 2013 20:38:47 +0100

python-mzml (0.7.4-dfsg-1) unstable; urgency=low

  * Initial packaging of the pymzML software with COPYING file shipped for
    the first time within the source code tree after request to
    upstream. Closes: #690177.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 09 Oct 2012 22:38:41 +0200
