=== debian/control ===
Source: python-pymzml
Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Section: python
Priority: optional
Build-Depends: dh-python,
               python3-all,
               python3-setuptools,
               debhelper (>=9.20130630),
               dpkg-dev (>= 1.16.1~)
Build-Depends-Indep: doxygen (>= 1.8.1.2), 
                     latexmk, 
                     texlive-plain-generic, 
                     texlive-extra-utils, 
                     texlive-latex-extra, 
                     texlive-latex-recommended,
                     texlive-font-utils, 
                     ghostscript, 
                     texlive-fonts-recommended,
                     python3-sphinx (>= 1.1.3)
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Standards-Version: 4.0.1 
Homepage: https://pymzml.github.com/
Vcs-Git: https://anonscm.debian.org/git/debichem/packages/python-pymzml.git
Vcs-Browser: https://anonscm.debian.org/git/debichem/packages/python-pymzml.git

Package: python3-pymzml
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-pymzml-doc
Conflicts: python-mzml
Replaces: python-mzml
Description: mzML mass spectrometric data parsing (Python 3.x)
 python-pymzml is an extension to Python that offers:
  - easy access to mass spectrometry (MS) data that allows 
    the rapid development of tools;
  - a very fast parser for mzML data, the standard in 
    mass spectrometry data format;
  - a set of functions to compare or handle spectra.
 .
 This package contains python-pymzml for Python 3.

Package: python-pymzml-doc
Section: doc
Architecture: all
Depends: libjs-jquery,
         libjs-underscore,
         ${sphinxdoc:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Conflicts: python-mzml-doc
Replaces: python-mzml-doc
Description: mzML mass spectrometric data parsing - documentation
 python-pymzml is an extension to Python that offers:
  - easy access to mass spectrometry (MS) data that allows 
    the rapid development of tools;
  - a very fast parser for mzML data, the standard in 
    mass spectrometry data format;
  - a set of functions to compare or handle spectra.
 .
 This package contains the documentation in PDF and HTML format,
 along with the text sources (process with sphinx).
