=== debian/rules ===
#! /usr/bin/make -f

export DH_VERBOSE = 1
export PYBUILD_NAME = pymzml

TMPDIR="debian/tmp"
DOCDIR="debian/doc"
SRCDIR=$(CURDIR)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_compress:

	dh_compress -X get_example_file.py -X pymzml.pdf

override_dh_clean:
	dh_clean
	rm -fv debian/source/include-binaries

override_dh_install:
	dh_install
# Remove the symbolic link.
	rm -fv debian/python3-pymzml/usr/share/doc/python3-pymzml/example_scripts/pymzml

# Remove all the pyc files.
	rm -fv debian/python3-pymzml/usr/share/doc/python3-pymzml/example_scripts/*.pyc

# Remove the license file
	rm -fv debian/python3-pymzml/usr/share/doc/python3-pymzml/COPYING.txt

	rm -fv debian/python-pymzml-doc/usr/share/doc/python-pymzml-doc/COPYING.txt

# Make sure we list properly all the binary files that are made during
# the documentation build in debian/source/include-binaries:

	sh debian/list-binary-files.sh

override_dh_auto_build-indep:
	cp -prf Documentation_src Documentation_src-bkp && \
	rm -rf Documentation_src/build/* && \
	cd Documentation_src && \
	make html latexpdf && \
	cd $(SRCDIR) && \
	mkdir -p $(DOCDIR) && \
	rm -rf $(DOCDIR)/* && \
	cp -rpvf Documentation_src/build/html $(DOCDIR) && \
	cp -v Documentation_src/build/latex/pymzml.pdf $(DOCDIR) && \
	rm -rf Documentation_src && \
	mv Documentation_src-bkp Documentation_src
