## python-pymzml 2.4.7

=== debian/changelog ===
python-pymzml (2.4.7-3) unstable; urgency=low

  * Fix upgrade testing->sid failure (Closes: #963190). Thanks , Andreas
    Beckmann <anbe@debian.org>, for the report.

 -- Filippo Rusconi <lopippo@debian.org>  Sun, 21 Jun 2020 10:36:22 +0200

python-pymzml (2.4.7-2) unstable; urgency=low

  * Fix documentation build problem with svg files around 
    (Closes: #962928). This build failure only shows when using sbuild and not
    gbp buildpackage. Apparently, it only shows when the doc-building process
    fails to access the network.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 16 Jun 2020 09:14:42 +0200

python-pymzml (2.4.7-1) unstable; urgency=low

  * New upstream version.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 15 Jun 2020 15:34:23 +0200

python-pymzml (2.1.0-1) unstable; urgency=low

  * New upstream version.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 08 Mar 2019 12:00:48 +0100

python-pymzml (2.0.0-1) unstable; urgency=low

  * Fix FTBFS with Sphinx 1.6: Needs build-dep on latexmk,
  * thanks to Dmitry Shachnev <mitya57@debian.org> and Steve Langasek
    <steve.langasek@canonical.com> for reporting and help.
  * d/control: Standards-Version: 4.3.0
  * d/control: fix Vcs fields.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 08 Mar 2019 11:26:28 +0100

python-pymzml (20170926-1) unstable; urgency=low

  * New upstream release from the git repos (master pymzML branch).

  * Add dependency on latexmk for building the Sphinx-based documentation
    (Closes: #872242: python-pymzml: FTBFS with Sphinx 1.6: Needs build-dep on
    latexmk ; thanks to Dmitry Shachnev <mitya57@debian.org> for reporting
    it).

  * Add dependency on python-sphinx-rtd-theme since that package is no
    longer a hard dependency for python-sphinx.

  * Abandon old patch about removing the shebang line from py files since 
    upstream implemented my suggestion.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 26 Sep 2017 09:54:13 +0200
