=== debian/control ===
Source: python-pymzml
Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-setuptools,
 debhelper (>=9.20130630),
 dpkg-dev (>= 1.16.1~)
Build-Depends-Indep: python3-sphinx-rtd-theme (>= 0.4.3),
 python3-sphinx (>= 1.3.0),
 python3-numpy,
 python3-regex,
 latexmk,
 texlive-latex-recommended,
 texlive-fonts-recommended,
 texlive-latex-extra
Standards-Version: 4.5.0 
Homepage: https://github.com/pymzml/pymzML
Vcs-Browser: https://salsa.debian.org/debichem-team/python-pymzml
Vcs-Git: https://salsa.debian.org/debichem-team/python-pymzml.git

Package: python3-pymzml
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-coverage,
         python3-nose,
         python3-plotly,
         python3-numpy
Suggests: python-pymzml-doc
Conflicts: python-mzml
Replaces: python-mzml
Description: mzML mass spectrometric data parsing (Python 3.x)
 python-pymzml is an extension to Python that offers:
  - easy access to mass spectrometry (MS) data that allows 
    the rapid development of tools;
  - a very fast parser for mzML data, the standard in 
    mass spectrometry data format;
  - a set of functions to compare or handle spectra.
 .
 This package contains python-pymzml for Python 3.

Package: python-pymzml-doc
Section: doc
Architecture: all
Depends: libjs-jquery,
         libjs-underscore,
         ${sphinxdoc:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Conflicts: python-mzml-doc
Breaks: python3-pymzml (<< 2.4.7)
Replaces: python-mzml-doc, python3-pymzml (<< 2.4.7)
Description: mzML mass spectrometric data parsing - documentation
 python-pymzml is an extension to Python that offers:
  - easy access to mass spectrometry (MS) data that allows 
    the rapid development of tools;
  - a very fast parser for mzML data, the standard in 
    mass spectrometry data format;
  - a set of functions to compare or handle spectra.
 .
 This package contains the documentation in PDF and HTML format,
 along with the text sources (process with sphinx).
