=== debian/watch ===
version=4

opts="repack, \
			repacksuffix=+dfsg, \
			compression=gzip, \
			dversionmangle=s/\+dfsg\d*$//, \
			filenamemangle=s/\S+\/v([\d\.]*)\.tar\.gz/isospec-$1\.tar\.gz/" \
			https://github.com/pymzml/pymzML/releases/ \
			/pymzml/pymzML/archive/v([\d\.]*)\.tar\.gz \
			debian \
			uupdate
# Web page
#https://github.com/pymzml/pymzML

# The link to the source tarball as when clicking (see below)
#https://github.com/pymzml/pymzML/archive/v2.4.0.tar.gz

# The http href code that links to the source tarball in the Web page above
#<a href="/pymzml/pymzML/archive/v2.4.0.tar.gz" rel="nofollow" class="d-flex flex-items-center">
