=== docs/requirements.txt ===
sphinx==5.0.2
sphinx_rtd_theme==0.5.0
regex
