=== debian/changelog ===
python-pymzml (2.5.2+repack1-1) unstable; urgency=low

  * New upstream version.

  * Add tex-gyre doc build-deps for
    /usr/share/texmf/tex/latex/tex-gyre/tgtermes.sty.

  * Add imagemagick-6-common as build-deps for mapping the missing
    n019003l.pfb font required by pdflatex to build the doc to the
    /usr/share/fonts/X11/Type1/NimbusSans-Regular.pfb file. That fixes the
    problem.

 -- Filippo Rusconi <lopippo@debian.org>  Sun, 01 Jan 2023 21:35:08 +0100
