=== debian/rules ===
--- 
+++ 
@@ -53,8 +53,9 @@
 pdf_doc: prepare_docs
 	cd docs && make latex
 	# Remove the calls to external sites.
-	sed -i 's|\\sphinxhref{https\?://.*||' docs/build/latex/pymzML.tex && \
-		cd docs/build/latex && make
+	sed -i 's|\\sphinxhref{https\?://.*||' docs/build/latex/pymzML.tex
+	# Finally, make the pdf documentation.		
+	cd docs/build/latex && make
 
 override_dh_auto_build-indep: html_doc pdf_doc
 	cd $(SRCDIR) && \
