## python-pymzml 2.5.10%2Brepack1

=== debian/control ===
Source: python-pymzml
Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dpkg-dev (>= 1.20),
 dh-sequence-python3,
 python3,
 quilt,
 python3-all,
 python3-setuptools,
 python3-sphinx-rtd-theme (>= 0.4.3),
 python3-sphinx (>= 3.4.3),
 python3-numpy,
 python3-regex,
 python3-coverage,
 python3-pytest,
 python3-numpydoc,
 python3-plotly,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/pymzml/pymzML
Vcs-Browser: https://salsa.debian.org/debichem-team/python-pymzml
Vcs-Git: https://salsa.debian.org/debichem-team/python-pymzml.git

Package: python3-pymzml
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-coverage,
         python3-plotly,
         python3-numpy
Suggests: python-pymzml-doc
Description: mzML mass spectrometric data parsing (Python 3.x)
 python-pymzml (pymzML) is an extension to Python that offers:
  - easy access to mass spectrometry (MS) data that allows
    the rapid development of tools;
  - a very fast parser for mzML data, the standard in
    mass spectrometry data format;
  - a set of functions to compare or handle spectra.
 .
 This package contains python-pymzml for Python 3.

Package: python-pymzml-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: libjs-jquery,
         libjs-underscore,
         fonts-urw-base35,
         ${sphinxdoc:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: mzML mass spectrometric data parsing - documentation
 python-pymzml (pymzML) is an extension to Python that offers:
  - easy access to mass spectrometry (MS) data that allows
    the rapid development of tools;
  - a very fast parser for mzML data, the standard in
    mass spectrometry data format;
  - a set of functions to compare or handle spectra.
 .
 This package contains the documentation in PDF and HTML format,
 along with the text sources (processed with sphinx).
