=== debian/rules ===
#! /usr/bin/make -f

export DH_VERBOSE = 1
export PYBUILD_NAME=pymzml
export PYBUILD_SYSTEM=distutils

TMPDIR="debian/tmp"

%:
	dh $@ --with python3 --buildsystem=pybuild --with sphinxdoc

override_dh_compress:
	dh_compress -X.py -X.idx -X.mzml -X.mzML \
		-Xexample_scripts \
		-Xtests

override_dh_clean:
	dh_quilt_unpatch
	dh_clean
	rm -rfv debian/source/include-binaries
	rm -rfv docs-for-build

configure_docs:
	rm -rfv docs-for-build
	cp -rpfv docs docs-for-build

override_dh_auto_configure: configure_docs
	dh_quilt_patch
	dh_auto_configure -O--buildsystem=pybuild -O--system=distutils --sourcedirectory=./

override_dh_auto_build:
	dh_auto_build
	cd docs-for-build && make html

override_dh_auto_install:
	dh_auto_install -O--buildsystem=pybuild
	#
	# Move the test.dat.igzip file erroneously installed to dist-packages/.
	mv debian/python3-pymzml/usr/lib/python3.13/dist-packages/test.dat.igzip \
		debian/python3-pymzml/usr/lib/python3.13/dist-packages/pymzml
