=== docs/requirements.txt ===
sphinx
sphinx_rtd_theme
regex
numpydoc==1.7.0
