=== debian/changelog ===
python-pymzml (2.5.10+repack1-1) unstable; urgency=medium

  * New upstream version.
  * Packaging builds on welcome work by Alexandre Detiste <tchet@debian.org>.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 22 Jul 2024 22:36:24 +0200

python-pymzml (2.5.2+repack1-2) unstable; urgency=medium

  * Team Upload
  * Drop extraneous dependency on python3-nose (Closes: #1070291)
  * Set "Rules-Requires-Root: no"
  * Use new dh-sequence-python3
  * Add watch file

 -- Alexandre Detiste <tchet@debian.org>  Mon, 22 Jul 2024 20:36:37 +0200
