=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
  dpkg-dev (>= 1.20),
  dh-sequence-python3,
  python3,
- quilt,
  python3-all,
  python3-setuptools,
  python3-sphinx-rtd-theme (>= 0.4.3),
@@ -19,7 +18,7 @@
  python3-numpydoc,
  python3-plotly,
 Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.6.2
 Homepage: https://github.com/pymzml/pymzML
 Vcs-Browser: https://salsa.debian.org/debichem-team/python-pymzml
 Vcs-Git: https://salsa.debian.org/debichem-team/python-pymzml.git
