=== debian/watch ===
version=4
https://github.com/pymzml/pymzML/tags (?:.*/)?v?@ANY_VERSION@@ARCHIVE_EXT@
